Package be.fgov.ehealth.standards.kmehr.cd.v1

# Enum Class CDTHERAPEUTICLINKschemes

java.lang.Object
java.lang.Enum<CDTHERAPEUTICLINKschemes>
be.fgov.ehealth.standards.kmehr.cd.v1.CDTHERAPEUTICLINKschemes

All Implemented Interfaces:
  `Serializable`, `Comparable<CDTHERAPEUTICLINKschemes>`, `java.lang.constant.Constable`

public enum CDTHERAPEUTICLINKschemes extends Enum<CDTHERAPEUTICLINKschemes>

Java class for CD-THERAPEUTICLINKschemes

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-THERAPEUTICLINKschemes">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="CD-THERAPEUTICLINKTYPE"/>
         <enumeration value="LOCAL"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CD_THERAPEUTICLINKTYPE`
  `LOCAL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CDTHERAPEUTICLINKschemes`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static CDTHERAPEUTICLINKschemes`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CDTHERAPEUTICLINKschemes[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CD_THERAPEUTICLINKTYPE

    public static final CDTHERAPEUTICLINKschemes CD_THERAPEUTICLINKTYPE

  - ### LOCAL

    public static final CDTHERAPEUTICLINKschemes LOCAL

- ## Method Details

  - ### values

    public static CDTHERAPEUTICLINKschemes[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CDTHERAPEUTICLINKschemes valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static CDTHERAPEUTICLINKschemes fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.